Package org.jboss.modules.filter

# Interface ClassFilter

public interface ClassFilter
Filter used to determine whether a class name should be included or excluded from imports and exports.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(String className)`
Determine whether a class name should be accepted by this filter.

## Method Details

### accept

boolean accept(String className)
Determine whether a class name should be accepted by this filter. The class name is qualified with a dot-separated package name.

Parameters:
  `className` - the class name
Returns:
  `true` to accept the class, `false` otherwise